# Copyright (c) 1991-2003 Rational Software Corporation. All rights
# reserved.
# 
# Rational, the Rational logo, ObjecTime (and logo) are registered
# trademarks of Rational Software Corporation.
# 
# The placing of the copyright notices on Rational source code is not
# intended to mean that they are published works, but are included in the
# event of inadvertent publication. The source code of Rational contains
# trade secrets and other valuable confidential information of Rational
# Software Corporation. Rational Software Corporation and its licensors
# retain ownership to Rational Products in both source and object code
# format, and related documentation and all rights therein including
# copyrights, patents and trade secrets.
# 
# 
# U.S. Government Rights
# 
# Use, duplication, or disclosure by the U.S. Government is subject to
# restrictions set forth in the applicable Rational License Agreement
# and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS
# 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,
# or FAR 52.227-14, as applicable.
# 
# Unless otherwise agreed to in writing, use of Rational products is
# governed by the Rational Product License Agreement provided with
# the product.

if( $OS_HOME = $ENV{'OS_HOME'} )
{
    $wind_base = "$OS_HOME/wrs/TornadoOW/win32_ppc_3.0/TornadoOW_ppc_3.0";
    $wind_home = "$OS_HOME/wrs/TornadoOW/win32_ppc_3.0";
}
else
{
    $wind_base = "C:/wind/TornadoOW_ppc_3.0";
    $wind_home = "C:/wind";
}

$wind_host_type = "x86-win32";

$ENV{'WIND_BASE'}      = $wind_base;
$ENV{'WIND_HOME'}      = $wind_home;
$ENV{'WIND_HOST_TYPE'} = $wind_host_type;
$ENV{'WIND_KERNEL'}    = "OSEKWorks";
$ENV{'OSEKVER'}        = "ppc_3.0";
$ENV{'OSEK_VER'}       = "ppc_3.0";
$ENV{'OSEK_BIN'}       = "$wind_base/host/$wind_host_type/bin";
$ENV{'OSEK_TARGET'}    = "ppc";
$ENV{'OSEK_TOOL'}      = "Diab";
$ENV{'OSEKWORKS'}      = "$wind_base/target/osekworks";

$ENV{'CPU'}     = "ppc";
$ENV{'DIABLIB'} = "$wind_base/host/diab/4.4b";
$ENV{'DIAB'}    = "$wind_base/host/diab/4.4b/WIN32/bin";

$ENV{'PATH'}    = "$ENV{'DIAB'};$wind_base/host/$wind_host_type/bin;$wind_home/ISILM;$ENV{'PATH'}";

$preprocessor = "dcc -t PPC555EH -P";
$target_base  = 'OSEKWorks,OSEK_VDX_BCC1';
$supported    = 'Yes';

# For the estbc555 board.
$ENV{'BOARD'} = "estsbc555";
$ENV{'OSEK_BOARD'} = "estsbc555";

$ENV{'LM_LICENSE_FILE'} = "$wind_home/ISILM/license.dat";

# The postprocessor step is used to process the OIL file.
$postprocessor = "rtperl ../target/OSEKWorks30S/oil.pl ../src/target/OSEKWorks/TargetRTS_single.oil OSEKWorks30S.ppc555-Diab-4.4b $target_base";
