/*
 * Copyright (c) 1991-2003 Rational Software Corporation. All rights
 * reserved.
 * 
 * Rational, the Rational logo, ObjecTime (and logo) are registered
 * trademarks of Rational Software Corporation.
 * 
 * The placing of the copyright notices on Rational source code is not
 * intended to mean that they are published works, but are included in the
 * event of inadvertent publication. The source code of Rational contains
 * trade secrets and other valuable confidential information of Rational
 * Software Corporation. Rational Software Corporation and its licensors
 * retain ownership to Rational Products in both source and object code
 * format, and related documentation and all rights therein including
 * copyrights, patents and trade secrets.
 * 
 * 
 * U.S. Government Rights
 * 
 * Use, duplication, or disclosure by the U.S. Government is subject to
 * restrictions set forth in the applicable Rational License Agreement
 * and in DFARS 227.7202-1(a) and 227.7202-3(a) (1995), DFARS
 * 252.227-7013(c)(1)(ii)(Oct 1988), FAR 12.212(a) 1995, FAR 52.227-19,
 * or FAR 52.227-14, as applicable.
 * 
 * Unless otherwise agreed to in writing, use of Rational products is
 * governed by the Rational Product License Agreement provided with
 * the product.
 */

#ifndef __RTPriv_OSEK_VDX_h__
#define __RTPriv_OSEK_VDX_h__ included

/*
 * Include OS specific include file for OSEK/VDX OSs. This file must exist in
 * $RTS_HOME/src/target/<OS_target_base>/RTPriv directory.
 */

#include <RTTarget.h>
#include <RTPriv/OSEK_OS.h>

#if USE_THREADS
#define RT_OSEK_NUM_TASKS 8    /* BCC1 compatibility. */
#else
#define RT_OSEK_NUM_TASKS 1
#endif

#endif /* __RTPriv_OSEK_VDX_h__ */
